Subject: bug#72417: rust-glib build issue

From: Ignas Lapėnas <[email-masked]>
Date: Fri, 02 Aug 2024 10:46:23 +0300

Hello,

It is currently impossible to build [email-masked] package. During the
check phase it crashes with:

: process didn't exit successfully: `/tmp/guix-build-rust-glib-0.18.5.drv-0/glib-0.18.5/target/release/deps/glib-3775c5e3154c8a25 --skip=structured_log` (signal: 11, SIGSEGV: invalid memory reference)

If I build/test the package manually with cargo 1.75 and rustc 1.75, the
package builds and tests.
The current cargo 1.77.1 and rustc 1.77.1 version fails.

I found no useful information under cargo issues. There were a few
before, but nothing useful. 

I am not exactly sure how I could proceed in testing and building this package.

-- 
Best Regards,
Ignas Lapėnas